lsusb(8)

BEZEICHNUNG
lsusb - USB-Geräte auflisten

ÜBERSICHT
lsusb [ Optionen ]

BESCHREIBUNG
lsusb ist ein Dienstprogramm zum Anzeigen von Informationen zu USB-Bussen im System und den Geräten, die mit ihnen verbunden sind. Es verwendet die Hardware-Datenbank von Udev, um der Anbieter- und Produktkennung einen menschenlesbaren Namen zuzuordnen.

OPTIONEN

-v, --verbose
    weist lsusb an, ausführliche und detaillierte Informationen zu den aufgeführten Geräten anzuzeigen. Dies schließt Konfigurationsdeskriptoren für die aktuelle Geschwindigkeit des Gerätes ein. Klassendeskriptoren werden, sofern verfügbar, für USB-Geräteklassen wie Hub, Audio, HID, Kommunikation und Chipkarte angezeigt. Dies kann zusammen mit der Option t verwendet werden.

-s [[Bus]:][Gerätenummer]
    zeigt nur die in Bus und/oder Gerätenummer angegebenen Geräte an. Beide Kennungen werden dezimal angegeben und können auch weggelassen werden.

-d [Anbieter]:[Produkt]
    zeigt nur die Geräte mit der angegebenen Anbieter- und Produktkennung an. Beide Kennungen werden in hexadezimaler Notation angegeben.

-D Gerät
    liest das Verzeichnis /dev/bus/usb nicht ein, sondern zeigt nur Informationen zu dem Gerät an, dessen Gerätedatei angegeben ist. Die Gerätedatei sollte dem Schema /dev/bus/usb/001/001 folgen. Diese Option zeigt detaillierte Informationen wie mit der Option v an; um dies tun zu können, müssen Sie über Root-Rechte verfügen.

-t, --tree
    weist lsusb an, die Hierarchie der physischen USB-Geräte in einer Baumansicht auszugeben. Die Ausführlichkeitsstufe kann durch zweimaliges Angeben der Option v erhöht werden.

-V, --version
    schreibt die Versionsnummer in die Standardausgabe und beendet das Programm erfolgreich.

RÜCKGABEWERT
Falls das angegebene Gerät nicht gefunden wird, dann wird ein von Null verschiedener Exit-Code zurückgegeben.

SIEHE AUCH
lspci(8), usbview(8).

AUTOR
Thomas Sailer, <sailer@ife.ee.ethz.ch>.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).